AM261x MCU+ SDK: MPU_FIREWALL_RegionParams Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
MPU_FIREWALL_RegionParams Struct Reference
APIs for SOC Specific Device Drivers » APIs for MPU Firewall

## Detailed Description

MPU Region Parameters.

This structure contains MPPA configuration prarameters of a MPU Firewall region.

## Data Fields
uint32_t | id
uint32_t | regionNumber
uint32_t | startAddress
uint32_t | endAddress
uint32_t | aidConfig
uint8_t | aidxConfig
uint8_t | supervisorReadConfig
uint8_t | supervisorWriteConfig
uint8_t | supervisorExecConfig
uint8_t | userReadConfig
uint8_t | userWriteConfig
uint8_t | userExecConfig
uint8_t | nonSecureConfig
uint8_t | debugConfig

## Field Documentation

## ◆ id

uint32_t MPU_FIREWALL_RegionParams::id

Firewall ID

## ◆ regionNumber

uint32_t MPU_FIREWALL_RegionParams::regionNumber

Region number in a particular firewall

## ◆ startAddress

uint32_t MPU_FIREWALL_RegionParams::startAddress

Start address of a firewall region

## ◆ endAddress

uint32_t MPU_FIREWALL_RegionParams::endAddress

End address of a firewall region

## ◆ aidConfig

uint32_t MPU_FIREWALL_RegionParams::aidConfig

AID configuration - It is a bit mask with each bit denoting an AID An AID is allowed if the value in bit position allocated for it is 1

## ◆ aidxConfig

uint8_t MPU_FIREWALL_RegionParams::aidxConfig

External AID configuration - 0->not allowed, 1->allowed

## ◆ supervisorReadConfig

uint8_t MPU_FIREWALL_RegionParams::supervisorReadConfig

Supervisor read permission - 0->not allowed, 1->allowed

## ◆ supervisorWriteConfig

uint8_t MPU_FIREWALL_RegionParams::supervisorWriteConfig

Supervisor write permission - 0->not allowed, 1->allowed

## ◆ supervisorExecConfig

uint8_t MPU_FIREWALL_RegionParams::supervisorExecConfig

Supervisor Execute permission - 0->not allowed, 1->allowed

## ◆ userReadConfig

uint8_t MPU_FIREWALL_RegionParams::userReadConfig

User read permission - 0->not allowed, 1->allowed

## ◆ userWriteConfig

uint8_t MPU_FIREWALL_RegionParams::userWriteConfig

User write permission - 0->not allowed, 1->allowed

## ◆ userExecConfig

uint8_t MPU_FIREWALL_RegionParams::userExecConfig

User Execute permission - 0->not allowed, 1->allowed

## ◆ nonSecureConfig

uint8_t MPU_FIREWALL_RegionParams::nonSecureConfig

Non secure access permission - 0->not allowed, 1->allowed

## ◆ debugConfig

uint8_t MPU_FIREWALL_RegionParams::debugConfig

Debug permission - 0->not allowed, 1->allowed